@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.emailDomains.verifyCompanyDomainOwnership({
id: "id"
});
console.log(response);curl --request POST \
--url https://api.firma.dev/functions/v1/signing-request-api/company/domains/{id}/verify-ownership \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/company/domains/{id}/verify-ownership"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/company/domains/{id}/verify-ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Domain ownership verified",
"domain": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"domain": "acme.com",
"verification_status": 1,
"domain_status": 0
},
"next_step": "Call POST /company/domains/{id}/finalize to complete domain setup and receive DNS records for email sending"
}Dominios de Correo
Verificar propiedad del dominio
Verifica la propiedad del dominio comprobando el registro TXT. Llama a esto después de agregar el registro TXT de verificación a tu DNS. La propagación de DNS puede tardar hasta 48 horas, pero normalmente se completa en minutos.
POST
/
company
/
domains
/
{id}
/
verify-ownership
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.emailDomains.verifyCompanyDomainOwnership({
id: "id"
});
console.log(response);Autorizaciones
Clave API para autenticación. Usa tu clave API directamente sin ningún prefijo (por ejemplo, 'your-api-key'). El prefijo Bearer es opcional pero no obligatorio.
Parámetros de ruta
ID del dominio
¿Esta página le ayudó?
⌘I